ur_rna.StructureEditor.models

## Class Motif.MultiLoop

- java.lang.Object
- - ur_rna.StructureEditor.models.Motif.MultiLoop

- All Implemented Interfaces:
    java.lang.Iterable<Nuc>, IMotif, INucGroup
  Enclosing class:
    Motif

      public static class Motif.MultiLoop
      extends java.lang.Object
      implements IMotif

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Bond[]` | `branchBonds`
    `java.util.List<java.lang.Object>` | `elements`
    `private int` | `loopNucs`
    `private Motif.Loop[]` | `loops`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiLoop()`
    `` | `MultiLoop(java.util.List<Bond> bonds, boolean preSorted)`
    `` | `MultiLoop(Nuc loopNuc)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `countLoops()`
    `protected static void` | `findAll(java.util.List<Motif.MultiLoop> list, Bond trunkBond, int minimumBranches)`
    `static java.util.List<Motif.MultiLoop>` | `findAll(RnaScene scene, int minimumBranches, boolean includeExteriorLoop)`
    `java.util.Collection<Nuc>` | `getBases()` Get a set of all nucleotides included in the group.
    `java.util.List<Bond>` | `getBonds()`
    `static Motif.MultiLoop` | `getFor(Nuc nuc, int minimumBranches, boolean includeExterior)`
    `java.util.List<Motif.Loop>` | `getLoops()`
    `Nuc` | `getN3()` Get the "ending" base -- i.e.
    `Nuc` | `getN5()` Get the "starting" base -- i.e.
    `Bond` | `getTrunk()`
    `int` | `helixCount()`
    `protected void` | `init(java.util.List<Bond> bonds, boolean preSorted)`
    `int` | `loopNucCount()`
    `int` | `nucCount()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ur_rna.StructureEditor.models.INucGroup

      `iterator, transformAll`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### branchBonds

          private Bond[] branchBonds

    - #### elements

          public final java.util.List<java.lang.Object> elements

    - #### loopNucs

          private int loopNucs

    - #### loops

          private Motif.Loop[] loops

  - ### Constructor Detail

    - #### MultiLoop

          protected MultiLoop()

    - #### MultiLoop

          public MultiLoop(java.util.List<Bond> bonds,
                           boolean preSorted)

    - #### MultiLoop

          public MultiLoop(Nuc loopNuc)

  - ### Method Detail

    - #### countLoops

          public int countLoops()

    - #### findAll

          protected static void findAll(java.util.List<Motif.MultiLoop> list,
                                        Bond trunkBond,
                                        int minimumBranches)

    - #### findAll

          public static java.util.List<Motif.MultiLoop> findAll(RnaScene scene,
                                                                int minimumBranches,
                                                                boolean includeExteriorLoop)

    - #### getBases

          public java.util.Collection<Nuc> getBases()

      Description copied from interface: `INucGroup`
      Get a set of all nucleotides included in the group.
      Specified by:
        `getBases` in interface `INucGroup`
      Returns:
        a Collection of nucleotides.

    - #### getBonds

          public java.util.List<Bond> getBonds()

    - #### getFor

          public static Motif.MultiLoop getFor(Nuc nuc,
                                               int minimumBranches,
                                               boolean includeExterior)

    - #### getLoops

          public java.util.List<Motif.Loop> getLoops()

    - #### getN3

          public Nuc getN3()

      Get the "ending" base -- i.e. the 3'-most base (the base with the highest scene-index)

    - #### getN5

          public Nuc getN5()

      Get the "starting" base -- i.e. the 5'-most base (the base with the lowest scene-index)

    - #### getTrunk

          public Bond getTrunk()

    - #### helixCount

          public int helixCount()

    - #### init

          protected void init(java.util.List<Bond> bonds,
                              boolean preSorted)

    - #### loopNucCount

          public int loopNucCount()

    - #### nucCount

          public int nucCount()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`